/*
		                  LCRZO
                             Network library
             Copyright(c) 1999,2000,2001, Laurent Constantin
                                  -----

  Main server    : http://www.laurentconstantin.com/
  Backup servers : http://go.to/laurentconstantin/
                   http://laurentconstantin.est-la.com/
  [my current email address is on the web servers]

                                  -----
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details (http://www.gnu.org).

------------------------------------------------------------------------
*/

#include <lcrzo.h>
#include "lcrzoex.h"

/*---------------------------------------------------------------*/
/* include all the example code we need */
#include "lcrzoex_000001.c"
#include "lcrzoex_000002.c"
#include "lcrzoex_000003.c"
#include "lcrzoex_000004.c"
#include "lcrzoex_000005.c"
#include "lcrzoex_000006.c"
#include "lcrzoex_000007.c"
#include "lcrzoex_000008.c"
#include "lcrzoex_000009.c"
#include "lcrzoex_000010.c"
#include "lcrzoex_000011.c"
#include "lcrzoex_000012.c"
#include "lcrzoex_000013.c"
#include "lcrzoex_000014.c"
#include "lcrzoex_000015.c"
#include "lcrzoex_000016.c"
#include "lcrzoex_000017.c"
#include "lcrzoex_000018.c"
#include "lcrzoex_000019.c"
#include "lcrzoex_000020.c"
#include "lcrzoex_000021.c"
#include "lcrzoex_000022.c"
#include "lcrzoex_000023.c"
#include "lcrzoex_000024.c"
#include "lcrzoex_000025.c"
#include "lcrzoex_000026.c"
#include "lcrzoex_000027.c"
#include "lcrzoex_000028.c"
#include "lcrzoex_000029.c"
#include "lcrzoex_000030.c"
#include "lcrzoex_000031.c"
#include "lcrzoex_000032.c"
#include "lcrzoex_000033.c"
#include "lcrzoex_000034.c"
#include "lcrzoex_000035.c"
#include "lcrzoex_000036.c"
#include "lcrzoex_000037.c"
#include "lcrzoex_000038.c"
#include "lcrzoex_000039.c"
#include "lcrzoex_000040.c"
#include "lcrzoex_000041.c"
#include "lcrzoex_000042.c"
#include "lcrzoex_000043.c"
#include "lcrzoex_000044.c"
#include "lcrzoex_000045.c"
#include "lcrzoex_000046.c"
#include "lcrzoex_000047.c"
#include "lcrzoex_000048.c"
#include "lcrzoex_000049.c"
#include "lcrzoex_000050.c"
#include "lcrzoex_000051.c"
#include "lcrzoex_000052.c"
#include "lcrzoex_000053.c"
#include "lcrzoex_000054.c"
#include "lcrzoex_000055.c"
#include "lcrzoex_000056.c"
#include "lcrzoex_000057.c"
#include "lcrzoex_000058.c"
#include "lcrzoex_000059.c"
#include "lcrzoex_000060.c"
#include "lcrzoex_000061.c"
#include "lcrzoex_000062.c"
#include "lcrzoex_000063.c"
#include "lcrzoex_000064.c"
#include "lcrzoex_000065.c"
#include "lcrzoex_000066.c"
#include "lcrzoex_000067.c"
#include "lcrzoex_000068.c"
#include "lcrzoex_000069.c"
#include "lcrzoex_000070.c"
#include "lcrzoex_000071.c"
#include "lcrzoex_000072.c"
#include "lcrzoex_000073.c"
#include "lcrzoex_000074.c"
#include "lcrzoex_000075.c"
#include "lcrzoex_000076.c"
#include "lcrzoex_000077.c"
#include "lcrzoex_000078.c"
#include "lcrzoex_000079.c"
#include "lcrzoex_000080.c"
#include "lcrzoex_000081.c"
#include "lcrzoex_000082.c"
#include "lcrzoex_000083.c"
#include "lcrzoex_000084.c"
#include "lcrzoex_000085.c"
#include "lcrzoex_000086.c"
#include "lcrzoex_000087.c"
#include "lcrzoex_000088.c"
#include "lcrzoex_000089.c"
#include "lcrzoex_000090.c"
#include "lcrzoex_000091.c"
#include "lcrzoex_000092.c"
#include "lcrzoex_000093.c"
#include "lcrzoex_000094.c"
#include "lcrzoex_000095.c"
#include "lcrzoex_000096.c"
#include "lcrzoex_000097.c"
#include "lcrzoex_000098.c"
#include "lcrzoex_000099.c"
#include "lcrzoex_000100.c"
#include "lcrzoex_000101.c"
#include "lcrzoex_000102.c"
#include "lcrzoex_000103.c"
#include "lcrzoex_000104.c"
#include "lcrzoex_000105.c"
#include "lcrzoex_000106.c"
#include "lcrzoex_000107.c"
#include "lcrzoex_000108.c"
#include "lcrzoex_000109.c"
#include "lcrzoex_000110.c"
#include "lcrzoex_000111.c"
#include "lcrzoex_000112.c"
#include "lcrzoex_000113.c"
#include "lcrzoex_000114.c"
#include "lcrzoex_000115.c"
#include "lcrzoex_000116.c"
#include "lcrzoex_000117.c"
#include "lcrzoex_000118.c"
#include "lcrzoex_000119.c"
#include "lcrzoex_000120.c"
#include "lcrzoex_000121.c"
#include "lcrzoex_000122.c"
#include "lcrzoex_000123.c"
#include "lcrzoex_000124.c"
#include "lcrzoex_000125.c"
#include "lcrzoex_000126.c"
#include "lcrzoex_000127.c"
#include "lcrzoex_000128.c"
#include "lcrzoex_000129.c"
#include "lcrzoex_000130.c"
#include "lcrzoex_000131.c"
#include "lcrzoex_000132.c"
#include "lcrzoex_000133.c"
#include "lcrzoex_000134.c"
#include "lcrzoex_000135.c"
#include "lcrzoex_000136.c"
#include "lcrzoex_000137.c"
#include "lcrzoex_000138.c"
#include "lcrzoex_000139.c"
#include "lcrzoex_000140.c"
#include "lcrzoex_000141.c"
#include "lcrzoex_000142.c"
#include "lcrzoex_000143.c"
#include "lcrzoex_000144.c"
#include "lcrzoex_000145.c"
#include "lcrzoex_000146.c"
#include "lcrzoex_000147.c"
#include "lcrzoex_000148.c"
#include "lcrzoex_000149.c"
#include "lcrzoex_000150.c"
#include "lcrzoex_000151.c"
#include "lcrzoex_000152.c"
#include "lcrzoex_000153.c"
#include "lcrzoex_000154.c"
#include "lcrzoex_000155.c"
#include "lcrzoex_000156.c"
#include "lcrzoex_000157.c"
#include "lcrzoex_000158.c"
#include "lcrzoex_000159.c"
#include "lcrzoex_000160.c"
#include "lcrzoex_000161.c"
#include "lcrzoex_000162.c"
#include "lcrzoex_000163.c"
#include "lcrzoex_000164.c"
#include "lcrzoex_000165.c"
#include "lcrzoex_000166.c"
#include "lcrzoex_000167.c"
#include "lcrzoex_000168.c"
#include "lcrzoex_000169.c"
#include "lcrzoex_000170.c"
#include "lcrzoex_000171.c"
#include "lcrzoex_000172.c"
#include "lcrzoex_000173.c"
#include "lcrzoex_000174.c"
#include "lcrzoex_000175.c"
#include "lcrzoex_000176.c"
#include "lcrzoex_000177.c"
#include "lcrzoex_000178.c"
#include "lcrzoex_000179.c"
#include "lcrzoex_000180.c"
#include "lcrzoex_000181.c"
#include "lcrzoex_000182.c"
#include "lcrzoex_000183.c"
#include "lcrzoex_000184.c"
#include "lcrzoex_000185.c"
#include "lcrzoex_000186.c"
#include "lcrzoex_000187.c"
#include "lcrzoex_000188.c"
#include "lcrzoex_000189.c"
#include "lcrzoex_000190.c"
#include "lcrzoex_000191.c"
#include "lcrzoex_000192.c"
#include "lcrzoex_000193.c"
#include "lcrzoex_000194.c"
#include "lcrzoex_000195.c"
#include "lcrzoex_000196.c"
#include "lcrzoex_000197.c"
#include "lcrzoex_000198.c"
#include "lcrzoex_000199.c"
#include "lcrzoex_000200.c"
#include "lcrzoex_000201.c"
#include "lcrzoex_000202.c"
#include "lcrzoex_000203.c"
#include "lcrzoex_000204.c"
#include "lcrzoex_000205.c"
#include "lcrzoex_000206.c"
#include "lcrzoex_000207.c"
#include "lcrzoex_000208.c"
#include "lcrzoex_000209.c"
#include "lcrzoex_000210.c"
#include "lcrzoex_000211.c"
#include "lcrzoex_000212.c"
#include "lcrzoex_000213.c"
#include "lcrzoex_000214.c"
#include "lcrzoex_000215.c"
#include "lcrzoex_000216.c"
#include "lcrzoex_000217.c"
#include "lcrzoex_000218.c"
#include "lcrzoex_000219.c"
#include "lcrzoex_000220.c"
#include "lcrzoex_000221.c"
#include "lcrzoex_000222.c"
#include "lcrzoex_000223.c"
#include "lcrzoex_000224.c"
#include "lcrzoex_000225.c"
#include "lcrzoex_000226.c"
#include "lcrzoex_000227.c"
#include "lcrzoex_000228.c"
#include "lcrzoex_000229.c"
#include "lcrzoex_000230.c"
#include "lcrzoex_000231.c"
#include "lcrzoex_000232.c"
#include "lcrzoex_000233.c"
#include "lcrzoex_000234.c"
#include "lcrzoex_000235.c"
#include "lcrzoex_000236.c"
#include "lcrzoex_000237.c"
#include "lcrzoex_000238.c"
#include "lcrzoex_000239.c"
#include "lcrzoex_000240.c"
#include "lcrzoex_000241.c"
#include "lcrzoex_000242.c"
#include "lcrzoex_000243.c"

/*---------------------------------------------------------------*/
/* function declaration */
int lcrzoex_helpchoice(lcrzo_conststring progname);

/*---------------------------------------------------------------*/
/* main function */
int main(int argc, char* argv[]);
int main(int argc, char* argv[])
{ int ac, language, exnumber;
  char **av, *pc;

  /*lcrzo_epr(lcrzo_global_set_language(LCRZO_GLOBAL_FRLANG));*/

  /* get the current language */
  lcrzo_epr(lcrzo_global_get_language(&language));

  /* verify we are root */
  if ( getuid() && geteuid() )
  { if ( language==LCRZO_GLOBAL_FRLANG )
    { printf("Attention: vous n'etes pas root ( uid!=0 && euid!=0 )\n");
      printf("Certaines fonctionnalites peuvent alors ne pas marcher :");
      printf("sniff, spoof, etc.\n");
    }
    else
    { printf("Warning: you are not root ( uid!=0 && euid!=0 )\n");
      printf("Some functionnalities might not work :");
      printf("sniff, spoof, etc.\n");
    }
  }

  /* we help user to choose the example he wants */
  if ( argc==1 )
  { return(lcrzoex_helpchoice(argv[0]));
  }

  /* verify example number */
  exnumber=strtol(argv[1], &pc, 10);
  if ( *pc!='\0')
  { if ( language==LCRZO_GLOBAL_FRLANG )
      printf("'%s' n'est pas un nombre\n", argv[1]);
    else
      printf("'%s' is not a number\n", argv[1]);
    return(LCRZO_ERR_BULCRZOEXBADUSAGE);
  }

  /* call the wanted example */
  ac=argc-1;
  av=argv+1;
  switch (exnumber)
  { case     1 : lcrzo_epr(lcrzoex_000001_main(ac, av)); break;
    case     2 : lcrzo_epr(lcrzoex_000002_main(ac, av)); break;
    case     3 : lcrzo_epr(lcrzoex_000003_main(ac, av)); break;
    case     4 : lcrzo_epr(lcrzoex_000004_main(ac, av)); break;
    case     5 : lcrzo_epr(lcrzoex_000005_main(ac, av)); break;
    case     6 : lcrzo_epr(lcrzoex_000006_main(ac, av)); break;
    case     7 : lcrzo_epr(lcrzoex_000007_main(ac, av)); break;
    case     8 : lcrzo_epr(lcrzoex_000008_main(ac, av)); break;
    case     9 : lcrzo_epr(lcrzoex_000009_main(ac, av)); break;
    case    10 : lcrzo_epr(lcrzoex_000010_main(ac, av)); break;
    case    11 : lcrzo_epr(lcrzoex_000011_main(ac, av)); break;
    case    12 : lcrzo_epr(lcrzoex_000012_main(ac, av)); break;
    case    13 : lcrzo_epr(lcrzoex_000013_main(ac, av)); break;
    case    14 : lcrzo_epr(lcrzoex_000014_main(ac, av)); break;
    case    15 : lcrzo_epr(lcrzoex_000015_main(ac, av)); break;
    case    16 : lcrzo_epr(lcrzoex_000016_main(ac, av)); break;
    case    17 : lcrzo_epr(lcrzoex_000017_main(ac, av)); break;
    case    18 : lcrzo_epr(lcrzoex_000018_main(ac, av)); break;
    case    19 : lcrzo_epr(lcrzoex_000019_main(ac, av)); break;
    case    20 : lcrzo_epr(lcrzoex_000020_main(ac, av)); break;
    case    21 : lcrzo_epr(lcrzoex_000021_main(ac, av)); break;
    case    22 : lcrzo_epr(lcrzoex_000022_main(ac, av)); break;
    case    23 : lcrzo_epr(lcrzoex_000023_main(ac, av)); break;
    case    24 : lcrzo_epr(lcrzoex_000024_main(ac, av)); break;
    case    25 : lcrzo_epr(lcrzoex_000025_main(ac, av)); break;
    case    26 : lcrzo_epr(lcrzoex_000026_main(ac, av)); break;
    case    27 : lcrzo_epr(lcrzoex_000027_main(ac, av)); break;
    case    28 : lcrzo_epr(lcrzoex_000028_main(ac, av)); break;
    case    29 : lcrzo_epr(lcrzoex_000029_main(ac, av)); break;
    case    30 : lcrzo_epr(lcrzoex_000030_main(ac, av)); break;
    case    31 : lcrzo_epr(lcrzoex_000031_main(ac, av)); break;
    case    32 : lcrzo_epr(lcrzoex_000032_main(ac, av)); break;
    case    33 : lcrzo_epr(lcrzoex_000033_main(ac, av)); break;
    case    34 : lcrzo_epr(lcrzoex_000034_main(ac, av)); break;
    case    35 : lcrzo_epr(lcrzoex_000035_main(ac, av)); break;
    case    36 : lcrzo_epr(lcrzoex_000036_main(ac, av)); break;
    case    37 : lcrzo_epr(lcrzoex_000037_main(ac, av)); break;
    case    38 : lcrzo_epr(lcrzoex_000038_main(ac, av)); break;
    case    39 : lcrzo_epr(lcrzoex_000039_main(ac, av)); break;
    case    40 : lcrzo_epr(lcrzoex_000040_main(ac, av)); break;
    case    41 : lcrzo_epr(lcrzoex_000041_main(ac, av)); break;
    case    42 : lcrzo_epr(lcrzoex_000042_main(ac, av)); break;
    case    43 : lcrzo_epr(lcrzoex_000043_main(ac, av)); break;
    case    44 : lcrzo_epr(lcrzoex_000044_main(ac, av)); break;
    case    45 : lcrzo_epr(lcrzoex_000045_main(ac, av)); break;
    case    46 : lcrzo_epr(lcrzoex_000046_main(ac, av)); break;
    case    47 : lcrzo_epr(lcrzoex_000047_main(ac, av)); break;
    case    48 : lcrzo_epr(lcrzoex_000048_main(ac, av)); break;
    case    49 : lcrzo_epr(lcrzoex_000049_main(ac, av)); break;
    case    50 : lcrzo_epr(lcrzoex_000050_main(ac, av)); break;
    case    51 : lcrzo_epr(lcrzoex_000051_main(ac, av)); break;
    case    52 : lcrzo_epr(lcrzoex_000052_main(ac, av)); break;
    case    53 : lcrzo_epr(lcrzoex_000053_main(ac, av)); break;
    case    54 : lcrzo_epr(lcrzoex_000054_main(ac, av)); break;
    case    55 : lcrzo_epr(lcrzoex_000055_main(ac, av)); break;
    case    56 : lcrzo_epr(lcrzoex_000056_main(ac, av)); break;
    case    57 : lcrzo_epr(lcrzoex_000057_main(ac, av)); break;
    case    58 : lcrzo_epr(lcrzoex_000058_main(ac, av)); break;
    case    59 : lcrzo_epr(lcrzoex_000059_main(ac, av)); break;
    case    60 : lcrzo_epr(lcrzoex_000060_main(ac, av)); break;
    case    61 : lcrzo_epr(lcrzoex_000061_main(ac, av)); break;
    case    62 : lcrzo_epr(lcrzoex_000062_main(ac, av)); break;
    case    63 : lcrzo_epr(lcrzoex_000063_main(ac, av)); break;
    case    64 : lcrzo_epr(lcrzoex_000064_main(ac, av)); break;
    case    65 : lcrzo_epr(lcrzoex_000065_main(ac, av)); break;
    case    66 : lcrzo_epr(lcrzoex_000066_main(ac, av)); break;
    case    67 : lcrzo_epr(lcrzoex_000067_main(ac, av)); break;
    case    68 : lcrzo_epr(lcrzoex_000068_main(ac, av)); break;
    case    69 : lcrzo_epr(lcrzoex_000069_main(ac, av)); break;
    case    70 : lcrzo_epr(lcrzoex_000070_main(ac, av)); break;
    case    71 : lcrzo_epr(lcrzoex_000071_main(ac, av)); break;
    case    72 : lcrzo_epr(lcrzoex_000072_main(ac, av)); break;
    case    73 : lcrzo_epr(lcrzoex_000073_main(ac, av)); break;
    case    74 : lcrzo_epr(lcrzoex_000074_main(ac, av)); break;
    case    75 : lcrzo_epr(lcrzoex_000075_main(ac, av)); break;
    case    76 : lcrzo_epr(lcrzoex_000076_main(ac, av)); break;
    case    77 : lcrzo_epr(lcrzoex_000077_main(ac, av)); break;
    case    78 : lcrzo_epr(lcrzoex_000078_main(ac, av)); break;
    case    79 : lcrzo_epr(lcrzoex_000079_main(ac, av)); break;
    case    80 : lcrzo_epr(lcrzoex_000080_main(ac, av)); break;
    case    81 : lcrzo_epr(lcrzoex_000081_main(ac, av)); break;
    case    82 : lcrzo_epr(lcrzoex_000082_main(ac, av)); break;
    case    83 : lcrzo_epr(lcrzoex_000083_main(ac, av)); break;
    case    84 : lcrzo_epr(lcrzoex_000084_main(ac, av)); break;
    case    85 : lcrzo_epr(lcrzoex_000085_main(ac, av)); break;
    case    86 : lcrzo_epr(lcrzoex_000086_main(ac, av)); break;
    case    87 : lcrzo_epr(lcrzoex_000087_main(ac, av)); break;
    case    88 : lcrzo_epr(lcrzoex_000088_main(ac, av)); break;
    case    89 : lcrzo_epr(lcrzoex_000089_main(ac, av)); break;
    case    90 : lcrzo_epr(lcrzoex_000090_main(ac, av)); break;
    case    91 : lcrzo_epr(lcrzoex_000091_main(ac, av)); break;
    case    92 : lcrzo_epr(lcrzoex_000092_main(ac, av)); break;
    case    93 : lcrzo_epr(lcrzoex_000093_main(ac, av)); break;
    case    94 : lcrzo_epr(lcrzoex_000094_main(ac, av)); break;
    case    95 : lcrzo_epr(lcrzoex_000095_main(ac, av)); break;
    case    96 : lcrzo_epr(lcrzoex_000096_main(ac, av)); break;
    case    97 : lcrzo_epr(lcrzoex_000097_main(ac, av)); break;
    case    98 : lcrzo_epr(lcrzoex_000098_main(ac, av)); break;
    case    99 : lcrzo_epr(lcrzoex_000099_main(ac, av)); break;
    case   100 : lcrzo_epr(lcrzoex_000100_main(ac, av)); break;
    case   101 : lcrzo_epr(lcrzoex_000101_main(ac, av)); break;
    case   102 : lcrzo_epr(lcrzoex_000102_main(ac, av)); break;
    case   103 : lcrzo_epr(lcrzoex_000103_main(ac, av)); break;
    case   104 : lcrzo_epr(lcrzoex_000104_main(ac, av)); break;
    case   105 : lcrzo_epr(lcrzoex_000105_main(ac, av)); break;
    case   106 : lcrzo_epr(lcrzoex_000106_main(ac, av)); break;
    case   107 : lcrzo_epr(lcrzoex_000107_main(ac, av)); break;
    case   108 : lcrzo_epr(lcrzoex_000108_main(ac, av)); break;
    case   109 : lcrzo_epr(lcrzoex_000109_main(ac, av)); break;
    case   110 : lcrzo_epr(lcrzoex_000110_main(ac, av)); break;
    case   111 : lcrzo_epr(lcrzoex_000111_main(ac, av)); break;
    case   112 : lcrzo_epr(lcrzoex_000112_main(ac, av)); break;
    case   113 : lcrzo_epr(lcrzoex_000113_main(ac, av)); break;
    case   114 : lcrzo_epr(lcrzoex_000114_main(ac, av)); break;
    case   115 : lcrzo_epr(lcrzoex_000115_main(ac, av)); break;
    case   116 : lcrzo_epr(lcrzoex_000116_main(ac, av)); break;
    case   117 : lcrzo_epr(lcrzoex_000117_main(ac, av)); break;
    case   118 : lcrzo_epr(lcrzoex_000118_main(ac, av)); break;
    case   119 : lcrzo_epr(lcrzoex_000119_main(ac, av)); break;
    case   120 : lcrzo_epr(lcrzoex_000120_main(ac, av)); break;
    case   121 : lcrzo_epr(lcrzoex_000121_main(ac, av)); break;
    case   122 : lcrzo_epr(lcrzoex_000122_main(ac, av)); break;
    case   123 : lcrzo_epr(lcrzoex_000123_main(ac, av)); break;
    case   124 : lcrzo_epr(lcrzoex_000124_main(ac, av)); break;
    case   125 : lcrzo_epr(lcrzoex_000125_main(ac, av)); break;
    case   126 : lcrzo_epr(lcrzoex_000126_main(ac, av)); break;
    case   127 : lcrzo_epr(lcrzoex_000127_main(ac, av)); break;
    case   128 : lcrzo_epr(lcrzoex_000128_main(ac, av)); break;
    case   129 : lcrzo_epr(lcrzoex_000129_main(ac, av)); break;
    case   130 : lcrzo_epr(lcrzoex_000130_main(ac, av)); break;
    case   131 : lcrzo_epr(lcrzoex_000131_main(ac, av)); break;
    case   132 : lcrzo_epr(lcrzoex_000132_main(ac, av)); break;
    case   133 : lcrzo_epr(lcrzoex_000133_main(ac, av)); break;
    case   134 : lcrzo_epr(lcrzoex_000134_main(ac, av)); break;
    case   135 : lcrzo_epr(lcrzoex_000135_main(ac, av)); break;
    case   136 : lcrzo_epr(lcrzoex_000136_main(ac, av)); break;
    case   137 : lcrzo_epr(lcrzoex_000137_main(ac, av)); break;
    case   138 : lcrzo_epr(lcrzoex_000138_main(ac, av)); break;
    case   139 : lcrzo_epr(lcrzoex_000139_main(ac, av)); break;
    case   140 : lcrzo_epr(lcrzoex_000140_main(ac, av)); break;
    case   141 : lcrzo_epr(lcrzoex_000141_main(ac, av)); break;
    case   142 : lcrzo_epr(lcrzoex_000142_main(ac, av)); break;
    case   143 : lcrzo_epr(lcrzoex_000143_main(ac, av)); break;
    case   144 : lcrzo_epr(lcrzoex_000144_main(ac, av)); break;
    case   145 : lcrzo_epr(lcrzoex_000145_main(ac, av)); break;
    case   146 : lcrzo_epr(lcrzoex_000146_main(ac, av)); break;
    case   147 : lcrzo_epr(lcrzoex_000147_main(ac, av)); break;
    case   148 : lcrzo_epr(lcrzoex_000148_main(ac, av)); break;
    case   149 : lcrzo_epr(lcrzoex_000149_main(ac, av)); break;
    case   150 : lcrzo_epr(lcrzoex_000150_main(ac, av)); break;
    case   151 : lcrzo_epr(lcrzoex_000151_main(ac, av)); break;
    case   152 : lcrzo_epr(lcrzoex_000152_main(ac, av)); break;
    case   153 : lcrzo_epr(lcrzoex_000153_main(ac, av)); break;
    case   154 : lcrzo_epr(lcrzoex_000154_main(ac, av)); break;
    case   155 : lcrzo_epr(lcrzoex_000155_main(ac, av)); break;
    case   156 : lcrzo_epr(lcrzoex_000156_main(ac, av)); break;
    case   157 : lcrzo_epr(lcrzoex_000157_main(ac, av)); break;
    case   158 : lcrzo_epr(lcrzoex_000158_main(ac, av)); break;
    case   159 : lcrzo_epr(lcrzoex_000159_main(ac, av)); break;
    case   160 : lcrzo_epr(lcrzoex_000160_main(ac, av)); break;
    case   161 : lcrzo_epr(lcrzoex_000161_main(ac, av)); break;
    case   162 : lcrzo_epr(lcrzoex_000162_main(ac, av)); break;
    case   163 : lcrzo_epr(lcrzoex_000163_main(ac, av)); break;
    case   164 : lcrzo_epr(lcrzoex_000164_main(ac, av)); break;
    case   165 : lcrzo_epr(lcrzoex_000165_main(ac, av)); break;
    case   166 : lcrzo_epr(lcrzoex_000166_main(ac, av)); break;
    case   167 : lcrzo_epr(lcrzoex_000167_main(ac, av)); break;
    case   168 : lcrzo_epr(lcrzoex_000168_main(ac, av)); break;
    case   169 : lcrzo_epr(lcrzoex_000169_main(ac, av)); break;
    case   170 : lcrzo_epr(lcrzoex_000170_main(ac, av)); break;
    case   171 : lcrzo_epr(lcrzoex_000171_main(ac, av)); break;
    case   172 : lcrzo_epr(lcrzoex_000172_main(ac, av)); break;
    case   173 : lcrzo_epr(lcrzoex_000173_main(ac, av)); break;
    case   174 : lcrzo_epr(lcrzoex_000174_main(ac, av)); break;
    case   175 : lcrzo_epr(lcrzoex_000175_main(ac, av)); break;
    case   176 : lcrzo_epr(lcrzoex_000176_main(ac, av)); break;
    case   177 : lcrzo_epr(lcrzoex_000177_main(ac, av)); break;
    case   178 : lcrzo_epr(lcrzoex_000178_main(ac, av)); break;
    case   179 : lcrzo_epr(lcrzoex_000179_main(ac, av)); break;
    case   180 : lcrzo_epr(lcrzoex_000180_main(ac, av)); break;
    case   181 : lcrzo_epr(lcrzoex_000181_main(ac, av)); break;
    case   182 : lcrzo_epr(lcrzoex_000182_main(ac, av)); break;
    case   183 : lcrzo_epr(lcrzoex_000183_main(ac, av)); break;
    case   184 : lcrzo_epr(lcrzoex_000184_main(ac, av)); break;
    case   185 : lcrzo_epr(lcrzoex_000185_main(ac, av)); break;
    case   186 : lcrzo_epr(lcrzoex_000186_main(ac, av)); break;
    case   187 : lcrzo_epr(lcrzoex_000187_main(ac, av)); break;
    case   188 : lcrzo_epr(lcrzoex_000188_main(ac, av)); break;
    case   189 : lcrzo_epr(lcrzoex_000189_main(ac, av)); break;
    case   190 : lcrzo_epr(lcrzoex_000190_main(ac, av)); break;
    case   191 : lcrzo_epr(lcrzoex_000191_main(ac, av)); break;
    case   192 : lcrzo_epr(lcrzoex_000192_main(ac, av)); break;
    case   193 : lcrzo_epr(lcrzoex_000193_main(ac, av)); break;
    case   194 : lcrzo_epr(lcrzoex_000194_main(ac, av)); break;
    case   195 : lcrzo_epr(lcrzoex_000195_main(ac, av)); break;
    case   196 : lcrzo_epr(lcrzoex_000196_main(ac, av)); break;
    case   197 : lcrzo_epr(lcrzoex_000197_main(ac, av)); break;
    case   198 : lcrzo_epr(lcrzoex_000198_main(ac, av)); break;
    case   199 : lcrzo_epr(lcrzoex_000199_main(ac, av)); break;
    case   200 : lcrzo_epr(lcrzoex_000200_main(ac, av)); break;
    case   201 : lcrzo_epr(lcrzoex_000201_main(ac, av)); break;
    case   202 : lcrzo_epr(lcrzoex_000202_main(ac, av)); break;
    case   203 : lcrzo_epr(lcrzoex_000203_main(ac, av)); break;
    case   204 : lcrzo_epr(lcrzoex_000204_main(ac, av)); break;
    case   205 : lcrzo_epr(lcrzoex_000205_main(ac, av)); break;
    case   206 : lcrzo_epr(lcrzoex_000206_main(ac, av)); break;
    case   207 : lcrzo_epr(lcrzoex_000207_main(ac, av)); break;
    case   208 : lcrzo_epr(lcrzoex_000208_main(ac, av)); break;
    case   209 : lcrzo_epr(lcrzoex_000209_main(ac, av)); break;
    case   210 : lcrzo_epr(lcrzoex_000210_main(ac, av)); break;
    case   211 : lcrzo_epr(lcrzoex_000211_main(ac, av)); break;
    case   212 : lcrzo_epr(lcrzoex_000212_main(ac, av)); break;
    case   213 : lcrzo_epr(lcrzoex_000213_main(ac, av)); break;
    case   214 : lcrzo_epr(lcrzoex_000214_main(ac, av)); break;
    case   215 : lcrzo_epr(lcrzoex_000215_main(ac, av)); break;
    case   216 : lcrzo_epr(lcrzoex_000216_main(ac, av)); break;
    case   217 : lcrzo_epr(lcrzoex_000217_main(ac, av)); break;
    case   218 : lcrzo_epr(lcrzoex_000218_main(ac, av)); break;
    case   219 : lcrzo_epr(lcrzoex_000219_main(ac, av)); break;
    case   220 : lcrzo_epr(lcrzoex_000220_main(ac, av)); break;
    case   221 : lcrzo_epr(lcrzoex_000221_main(ac, av)); break;
    case   222 : lcrzo_epr(lcrzoex_000222_main(ac, av)); break;
    case   223 : lcrzo_epr(lcrzoex_000223_main(ac, av)); break;
    case   224 : lcrzo_epr(lcrzoex_000224_main(ac, av)); break;
    case   225 : lcrzo_epr(lcrzoex_000225_main(ac, av)); break;
    case   226 : lcrzo_epr(lcrzoex_000226_main(ac, av)); break;
    case   227 : lcrzo_epr(lcrzoex_000227_main(ac, av)); break;
    case   228 : lcrzo_epr(lcrzoex_000228_main(ac, av)); break;
    case   229 : lcrzo_epr(lcrzoex_000229_main(ac, av)); break;
    case   230 : lcrzo_epr(lcrzoex_000230_main(ac, av)); break;
    case   231 : lcrzo_epr(lcrzoex_000231_main(ac, av)); break;
    case   232 : lcrzo_epr(lcrzoex_000232_main(ac, av)); break;
    case   233 : lcrzo_epr(lcrzoex_000233_main(ac, av)); break;
    case   234 : lcrzo_epr(lcrzoex_000234_main(ac, av)); break;
    case   235 : lcrzo_epr(lcrzoex_000235_main(ac, av)); break;
    case   236 : lcrzo_epr(lcrzoex_000236_main(ac, av)); break;
    case   237 : lcrzo_epr(lcrzoex_000237_main(ac, av)); break;
    case   238 : lcrzo_epr(lcrzoex_000238_main(ac, av)); break;
    case   239 : lcrzo_epr(lcrzoex_000239_main(ac, av)); break;
    case   240 : lcrzo_epr(lcrzoex_000240_main(ac, av)); break;
    case   241 : lcrzo_epr(lcrzoex_000241_main(ac, av)); break;
    case   242 : lcrzo_epr(lcrzoex_000242_main(ac, av)); break;
    case   243 : lcrzo_epr(lcrzoex_000243_main(ac, av)); break;
    default :
      if ( language==LCRZO_GLOBAL_FRLANG )
      { printf("Choix '%d' inconnu.\n", exnumber);
        printf("L'exemple numero %d est peut etre disponible ", exnumber); 
        printf("dans une version recente de lcrzo.\n"); 
      }
      else
      { printf("Choice '%d' unknown.\n", exnumber);
        printf("Example number %d is prehaps only available ", exnumber); 
        printf("in a newer version of lcrzo.\n"); 
      }
      lcrzo_epr(lcrzo_libinfos_print());
  }

  return(0);
}

/*---------------------------------------------------------------*/
/* this function classify and describes examples.
   this helps users to choose an example */
int lcrzoex_helpchoice(lcrzo_conststring progname)
{ int language;
  char c;
  lcrzo_uint8 choice;
  lcrzo_string pn;
  lcrzo_uint32 min, max, examplenumber;

  /* get the current language */
  lcrzo_epr(lcrzo_global_get_language(&language));

  /* print the choices */
  if ( language==LCRZO_GLOBAL_FRLANG )
  { c='a';
    puts("Ce programme montre des exemples de la bibliotheque lcrzo :");
    printf(" %c - exemples simples a utiliser (nouveaux utilisateurs, "
	   "commencer ici)\n", c++);
    printf(" %c - informations sur cette machine\n", c++);
    printf(" %c - informations sur une machine distante\n", c++);
    printf(" %c - informations sur un reseau\n", c++);
    printf(" %c - sniffe et sauve des paquets\n", c++);
    printf(" %c - affiche et rejoue des paquets sauves\n", c++);
    printf(" %c - spoof ethernet\n", c++);
    printf(" %c - spoof ip\n", c++);
    printf(" %c - spoof udp\n", c++);
    printf(" %c - spoof tcp\n", c++);
    printf(" %c - spoof icmp\n", c++);
    printf(" %c - spoof arp/rarp\n", c++);
    printf(" %c - clients udp reels\n", c++);
    printf(" %c - clients udp virtuels\n", c++);
    printf(" %c - clients tcp reels\n", c++);
    printf(" %c - clients tcp virtuels\n", c++);
    printf(" %c - serveurs udp reels\n", c++);
    printf(" %c - serveurs udp virtuels\n", c++);
    printf(" %c - serveurs tcp reels\n", c++);
    printf(" %c - serveurs tcp virtuels\n", c++);
    lcrzo_stdin_press("Pressez une touche pour continuer");
    printf(" %c - serveurs udp multiclients reels\n", c++);
    printf(" %c - serveurs udp multiclients virtuels\n", c++);
    printf(" %c - serveurs tcp multiclients reels\n", c++);
    printf(" %c - utilitaires pour administrateurs\n", c++);
    printf(" %c - serveur d'administration a distance\n", c++);
    printf(" %c - utilitaires malicieux\n", c++);
    c='A';
    printf(" %c - utilitaires divers\n", c++);
  }
  else
  { c='a';
    puts("This program shows examples of the library lcrzo :");
    printf(" %c - easy examples (new users, start here)\n", c++);
    printf(" %c - informations on this computer\n", c++);
    printf(" %c - informations on other computers\n", c++);
    printf(" %c - informations on this network\n", c++);
    printf(" %c - sniff and save packets\n", c++);
    printf(" %c - display and resend saved packets\n", c++);
    printf(" %c - ethernet spoof\n", c++);
    printf(" %c - ip spoof\n", c++);
    printf(" %c - udp spoof\n", c++);
    printf(" %c - tcp spoof\n", c++);
    printf(" %c - icmp spoof\n", c++);
    printf(" %c - arp/rarp spoof\n", c++);
    printf(" %c - udp real clients\n", c++);
    printf(" %c - udp virtual clients\n", c++);
    printf(" %c - tcp real clients\n", c++);
    printf(" %c - tcp virtual clients\n", c++);
    printf(" %c - udp real servers\n", c++);
    printf(" %c - udp virtual servers\n", c++);
    printf(" %c - tcp real servers\n", c++);
    printf(" %c - tcp virtual servers\n", c++);
    lcrzo_stdin_press("Press a key to continue");
    printf(" %c - udp real multiclient servers\n", c++);
    printf(" %c - udp virtual multiclient servers\n", c++);
    printf(" %c - tcp real multiclient servers\n", c++);
    printf(" %c - administrators utilities\n", c++);
    printf(" %c - remote administration server\n", c++);
    printf(" %c - malicious utilities\n", c++);
    c='A';
    printf(" %c - miscellaneous utilities\n", c++);
  }

  /* get the user's choice */
  lcrzo_epr(lcrzo_stdin_char((language==LCRZO_GLOBAL_FRLANG)?
			     "Entrez votre choix":
			     "Enter your choice", 
			     "abcdefghijklmnopqrstuvwxyzA",
			     'a', &choice));

  /* print examples under this choice */
  min=0;
  max=0;
  switch(choice)
  { 
    case 'a' :
      min=2;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000002));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000007));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000029));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000032));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000037));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000040));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000048));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000051));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000065));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000068));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000084));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000092));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000108));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000116));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000141));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000151));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000155));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000157));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000172));
      max=172;
      break;
    case 'b' :
      min=1;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000001));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000005));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000006));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000154));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000155));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000157));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000158));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000159));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000160));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000173));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000174));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000175));
      max=175;
      break;
    case 'c' :
      min=2;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000002));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000156));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000003));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000004));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000176));
      max=176;
      break;
    case 'd' :
      min=134;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000134));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000209));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000210));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000211));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000212));
      max=212;
      break;
    case 'e' :
      min=7;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000007));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000008));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000009));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000010));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000011));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000012));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000013));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000014));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000015));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000016));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000017));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000018));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000019));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000020));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000021));
      max=22;
      break;
    case 'f' :
      min=22;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000022));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000027));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000035));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000046));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000063));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000023));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000221));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000222));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000223));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000224));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000225));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000028));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000226));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000227));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000228));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000229));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000230));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000231));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000232));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000233));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000234));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000036));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000235));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000236));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000237));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000047));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000238));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000239));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000240));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000064));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000241));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000242));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000243));
      max=243;
      break;
    case 'g' :
      min=24;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000024));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000025));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000026));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000136));
      max=136;
      break;
    case 'h' :
      min=29;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000029));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000030));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000031));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000164));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000032));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000033));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000034));
      max=164;
      break;
    case 'i' :
      min=37;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000037));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000038));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000039));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000040));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000041));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000042));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000043));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000044));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000045));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000135));
      max=135;
      break;
    case 'j' :
      min=48;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000048));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000049));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000204));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000050));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000205));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000051));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000052));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000206));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000053));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000207));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000054));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000055));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000056));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000057));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000058));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000059));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000060));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000061));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000062));
      max=207;
      break;
    case 'k' :
      min=65;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000065));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000066));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000067));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000068));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000069));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000070));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000071));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000072));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000073));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000074));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000075));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000076));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000077));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000078));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000079));
      max=79;
      break;
    case 'l' :
      min=80;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000080));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000081));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000082));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000083));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000208));
      max=208;
      break;
    case 'm' :
      min=84;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000084));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000085));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000168));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000178));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000088));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000089));
      max=178;
      break;
    case 'n' :
      min=86;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000086));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000087));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000169));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000179));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000090));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000091));
      max=179;
      break;
    case 'o' :
      min=92;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000092));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000093));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000167));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000170));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000180));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000096));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000097));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000190));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000192));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000194));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000196));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000198));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000200));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000202));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000100));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000101));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000104));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000106));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000165));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000162));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000166));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000163));
      max=202;
      break;
    case 'p' :
      min=94;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000094));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000095));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000171));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000181));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000098));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000099));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000191));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000193));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000195));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000197));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000199));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000201));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000203));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000102));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000103));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000105));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000107));
      max=203;
      break;
    case 'q' :
      min=108;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000108));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000109));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000182));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000183));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000112));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000113));
      max=183;
      break;
    case 'r' :
      min=110;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000110));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000111));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000184));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000185));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000114));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000115));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000177));
      max=185;
      break;
    case 's' :
      min=116;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000116));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000117));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000186));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000187));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000120));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000121));
      max=187;
      break;
    case 't' :
      min=118;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000118));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000119));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000188));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000189));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000122));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000123));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000177));
      max=189;
      break;
    case 'u' :
      min=124;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000124));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000125));
      max=125;
      break;
    case 'v' :
      min=126;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000126));
      max=126;
      break;
    case 'w' :
      min=127;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000127));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000128));
      max=128;
      break;
    case 'x' :
      min=131;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000131));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000138));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000172));
      max=172;
    case 'y' :
      min=216;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000216));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000217));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000218));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000219));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000220));
      max=220;
      break;
    case 'z' :
      min=129;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000129));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000130));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000132));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000133));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000137));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000213));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000214));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000215));
      max=215;
      break;
    case 'A' :
      min=139;
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000139));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000140));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000141));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000142));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000143));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000144));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000161));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000145));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000146));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000147));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000148));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000149));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000150));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000151));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000152));
      lcrzo_epr(lcrzoex_title_print(lcrzoex_000153));
      max=161;
      break;
    default :
      min=0;
      max=200;
      break;
  }

  /* get the user's choice */
  lcrzo_epr(lcrzo_uint32_stdin((language==LCRZO_GLOBAL_FRLANG)?
			       "Entrez votre choix":
			       "Enter your choice", 
			       min, max, min, &examplenumber));

  /* create a string containing "progname example_number" */
  lcrzo_epr(lcrzo_string_initm_text(progname, &pn));
  lcrzo_epr(lcrzo_string_appendm_text(" ", &pn));
  lcrzo_epr(lcrzo_string_appendm_int(examplenumber, "%d", &pn));

  /* print infos about this example */
  switch((int)examplenumber)
  { case    1 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000001, pn)); break;
    case    2 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000002, pn)); break;
    case    3 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000003, pn)); break;
    case    4 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000004, pn)); break;
    case    5 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000005, pn)); break;
    case    6 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000006, pn)); break;
    case    7 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000007, pn)); break;
    case    8 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000008, pn)); break;
    case    9 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000009, pn)); break;
    case   10 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000010, pn)); break;
    case   11 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000011, pn)); break;
    case   12 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000012, pn)); break;
    case   13 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000013, pn)); break;
    case   14 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000014, pn)); break;
    case   15 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000015, pn)); break;
    case   16 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000016, pn)); break;
    case   17 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000017, pn)); break;
    case   18 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000018, pn)); break;
    case   19 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000019, pn)); break;
    case   20 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000020, pn)); break;
    case   21 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000021, pn)); break;
    case   22 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000022, pn)); break;
    case   23 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000023, pn)); break;
    case   24 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000024, pn)); break;
    case   25 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000025, pn)); break;
    case   26 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000026, pn)); break;
    case   27 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000027, pn)); break;
    case   28 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000028, pn)); break;
    case   29 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000029, pn)); break;
    case   30 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000030, pn)); break;
    case   31 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000031, pn)); break;
    case   32 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000032, pn)); break;
    case   33 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000033, pn)); break;
    case   34 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000034, pn)); break;
    case   35 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000035, pn)); break;
    case   36 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000036, pn)); break;
    case   37 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000037, pn)); break;
    case   38 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000038, pn)); break;
    case   39 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000039, pn)); break;
    case   40 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000040, pn)); break;
    case   41 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000041, pn)); break;
    case   42 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000042, pn)); break;
    case   43 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000043, pn)); break;
    case   44 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000044, pn)); break;
    case   45 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000045, pn)); break;
    case   46 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000046, pn)); break;
    case   47 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000047, pn)); break;
    case   48 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000048, pn)); break;
    case   49 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000049, pn)); break;
    case   50 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000050, pn)); break;
    case   51 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000051, pn)); break;
    case   52 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000052, pn)); break;
    case   53 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000053, pn)); break;
    case   54 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000054, pn)); break;
    case   55 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000055, pn)); break;
    case   56 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000056, pn)); break;
    case   57 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000057, pn)); break;
    case   58 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000058, pn)); break;
    case   59 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000059, pn)); break;
    case   60 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000060, pn)); break;
    case   61 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000061, pn)); break;
    case   62 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000062, pn)); break;
    case   63 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000063, pn)); break;
    case   64 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000064, pn)); break;
    case   65 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000065, pn)); break;
    case   66 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000066, pn)); break;
    case   67 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000067, pn)); break;
    case   68 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000068, pn)); break;
    case   69 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000069, pn)); break;
    case   70 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000070, pn)); break;
    case   71 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000071, pn)); break;
    case   72 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000072, pn)); break;
    case   73 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000073, pn)); break;
    case   74 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000074, pn)); break;
    case   75 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000075, pn)); break;
    case   76 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000076, pn)); break;
    case   77 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000077, pn)); break;
    case   78 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000078, pn)); break;
    case   79 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000079, pn)); break;
    case   80 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000080, pn)); break;
    case   81 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000081, pn)); break;
    case   82 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000082, pn)); break;
    case   83 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000083, pn)); break;
    case   84 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000084, pn)); break;
    case   85 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000085, pn)); break;
    case   86 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000086, pn)); break;
    case   87 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000087, pn)); break;
    case   88 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000088, pn)); break;
    case   89 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000089, pn)); break;
    case   90 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000090, pn)); break;
    case   91 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000091, pn)); break;
    case   92 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000092, pn)); break;
    case   93 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000093, pn)); break;
    case   94 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000094, pn)); break;
    case   95 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000095, pn)); break;
    case   96 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000096, pn)); break;
    case   97 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000097, pn)); break;
    case   98 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000098, pn)); break;
    case   99 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000099, pn)); break;
    case  100 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000100, pn)); break;
    case  101 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000101, pn)); break;
    case  102 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000102, pn)); break;
    case  103 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000103, pn)); break;
    case  104 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000104, pn)); break;
    case  105 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000105, pn)); break;
    case  106 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000106, pn)); break;
    case  107 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000107, pn)); break;
    case  108 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000108, pn)); break;
    case  109 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000109, pn)); break;
    case  110 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000110, pn)); break;
    case  111 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000111, pn)); break;
    case  112 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000112, pn)); break;
    case  113 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000113, pn)); break;
    case  114 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000114, pn)); break;
    case  115 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000115, pn)); break;
    case  116 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000116, pn)); break;
    case  117 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000117, pn)); break;
    case  118 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000118, pn)); break;
    case  119 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000119, pn)); break;
    case  120 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000120, pn)); break;
    case  121 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000121, pn)); break;
    case  122 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000122, pn)); break;
    case  123 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000123, pn)); break;
    case  124 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000124, pn)); break;
    case  125 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000125, pn)); break;
    case  126 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000126, pn)); break;
    case  127 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000127, pn)); break;
    case  128 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000128, pn)); break;
    case  129 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000129, pn)); break;
    case  130 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000130, pn)); break;
    case  131 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000131, pn)); break;
    case  132 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000132, pn)); break;
    case  133 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000133, pn)); break;
    case  134 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000134, pn)); break;
    case  135 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000135, pn)); break;
    case  136 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000136, pn)); break;
    case  137 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000137, pn)); break;
    case  138 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000138, pn)); break;
    case  139 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000139, pn)); break;
    case  140 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000140, pn)); break;
    case  141 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000141, pn)); break;
    case  142 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000142, pn)); break;
    case  143 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000143, pn)); break;
    case  144 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000144, pn)); break;
    case  145 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000145, pn)); break;
    case  146 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000146, pn)); break;
    case  147 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000147, pn)); break;
    case  148 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000148, pn)); break;
    case  149 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000149, pn)); break;
    case  150 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000150, pn)); break;
    case  151 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000151, pn)); break;
    case  152 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000152, pn)); break;
    case  153 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000153, pn)); break;
    case  154 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000154, pn)); break;
    case  155 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000155, pn)); break;
    case  156 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000156, pn)); break;
    case  157 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000157, pn)); break;
    case  158 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000158, pn)); break;
    case  159 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000159, pn)); break;
    case  160 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000160, pn)); break;
    case  161 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000161, pn)); break;
    case  162 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000162, pn)); break;
    case  163 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000163, pn)); break;
    case  164 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000164, pn)); break;
    case  165 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000165, pn)); break;
    case  166 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000166, pn)); break;
    case  167 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000167, pn)); break;
    case  168 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000168, pn)); break;
    case  169 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000169, pn)); break;
    case  170 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000170, pn)); break;
    case  171 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000171, pn)); break;
    case  172 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000172, pn)); break;
    case  173 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000173, pn)); break;
    case  174 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000174, pn)); break;
    case  175 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000175, pn)); break;
    case  176 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000176, pn)); break;
    case  177 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000177, pn)); break;
    case  178 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000178, pn)); break;
    case  179 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000179, pn)); break;
    case  180 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000180, pn)); break;
    case  181 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000181, pn)); break;
    case  182 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000182, pn)); break;
    case  183 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000183, pn)); break;
    case  184 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000184, pn)); break;
    case  185 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000185, pn)); break;
    case  186 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000186, pn)); break;
    case  187 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000187, pn)); break;
    case  188 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000188, pn)); break;
    case  189 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000189, pn)); break;
    case  190 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000190, pn)); break;
    case  191 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000191, pn)); break;
    case  192 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000192, pn)); break;
    case  193 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000193, pn)); break;
    case  194 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000194, pn)); break;
    case  195 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000195, pn)); break;
    case  196 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000196, pn)); break;
    case  197 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000197, pn)); break;
    case  198 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000198, pn)); break;
    case  199 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000199, pn)); break;
    case  200 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000200, pn)); break;
    case  201 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000201, pn)); break;
    case  202 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000202, pn)); break;
    case  203 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000203, pn)); break;
    case  204 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000204, pn)); break;
    case  205 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000205, pn)); break;
    case  206 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000206, pn)); break;
    case  207 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000207, pn)); break;
    case  208 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000208, pn)); break;
    case  209 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000209, pn)); break;
    case  210 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000210, pn)); break;
    case  211 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000211, pn)); break;
    case  212 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000212, pn)); break;
    case  213 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000213, pn)); break;
    case  214 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000214, pn)); break;
    case  215 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000215, pn)); break;
    case  216 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000216, pn)); break;
    case  217 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000217, pn)); break;
    case  218 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000218, pn)); break;
    case  219 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000219, pn)); break;
    case  220 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000220, pn)); break;
    case  221 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000221, pn)); break;
    case  222 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000222, pn)); break;
    case  223 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000223, pn)); break;
    case  224 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000224, pn)); break;
    case  225 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000225, pn)); break;
    case  226 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000226, pn)); break;
    case  227 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000227, pn)); break;
    case  228 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000228, pn)); break;
    case  229 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000229, pn)); break;
    case  230 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000230, pn)); break;
    case  231 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000231, pn)); break;
    case  232 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000232, pn)); break;
    case  233 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000233, pn)); break;
    case  234 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000234, pn)); break;
    case  235 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000235, pn)); break;
    case  236 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000236, pn)); break;
    case  237 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000237, pn)); break;
    case  238 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000238, pn)); break;
    case  239 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000239, pn)); break;
    case  240 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000240, pn)); break;
    case  241 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000241, pn)); break;
    case  242 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000242, pn)); break;
    case  243 : lcrzo_epr(lcrzoex_infos_print(lcrzoex_000243, pn)); break;
    default :
      if ( language==LCRZO_GLOBAL_FRLANG )
        printf("Choix '%ld' inconnu\n", examplenumber);
      else
	printf("Unknown choice : '%ld'\n", examplenumber);
      lcrzo_string_free(pn);
      return(LCRZO_ERR_BULCRZOEXBADUSAGE);
  }
  lcrzo_string_free(pn);

  return(LCRZO_ERR_OK);
}
