
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"
#include "shared/shared_sniff.h"

/*-------------------------------------------------------------*/
/* set information about this example */
lcrzoex_infos lcrzoex_000019=
{ /*reference*/     "lcrzoex", 19,
  /*version*/       1, 0,
  /*title*/         "sniff packets and count them",
  /*french title*/  "sniffe des paquets et les compte",
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "[device [\"bpf_filter\"]]",
  /*french usage*/  "[device [\"filtre_bpf\"]]",
  /*usage example*/ "eth0 \"host 1.2.3.4 and port 25\"",
  /*fr. usage ex.*/ "eth0 \"host 1.2.3.4 and port 25\"", 
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declaration */
int lcrzoex_000019_main(int argc, char *argv[]);

/*-------------------------------------------------------------*/
/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000019_main(int argc, char *argv[])
{
  lcrzo_epr(shared_sniff_count(argc, argv, LCRZO_SNIFF_TYPE_NORMAL));

  return(LCRZO_ERR_OK);
}

