
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"
#include "shared/shared_sock.h"

/*-------------------------------------------------------------*/
/* set information about this example */
lcrzoex_infos lcrzoex_000112=
{ /*reference*/     "lcrzoex", 112,
  /*version*/       1, 0,
  /*title*/         "real udp server [echo]",
  /*french title*/  "serveur udp reel [echo]",
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "server_port",
  /*french usage*/  "port_serveur",
  /*usage example*/ "5566",
  /*fr. usage ex.*/ "5566",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000112_main(int argc, char *argv[]);

/*-------------------------------------------------------------*/
/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000112_main(int argc, char *argv[])
{ lcrzo_sock sock;

  if ( argc<2 )
  { /* print usage */
    lcrzo_epr(lcrzoex_infos_print(lcrzoex_000112, argv[0]));
    return(LCRZO_ERR_BULCRZOEXBADUSAGE);
  }

  lcrzo_epr(lcrzo_sock_udpser_real((lcrzo_uint16)atoi(argv[1]), &sock));
  lcrzo_epr(shared_sock_echo(&sock));

  return(LCRZO_ERR_OK);
}

