
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"
#include "shared/shared_misc.h"

/* set information about this example */
lcrzoex_infos lcrzoex_000143=
{ /*reference*/     "lcrzoex", 143, 
  /*version*/       1, 0, 
  /*title*/         "convert a character", 
  /*french title*/  "convertit un caractere", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "character",
  /*french usage*/  "caractere", 
  /*usage example*/ "'p'",
  /*fr. usage ex.*/ "'p'",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000143_main(int argc, char *argv[]);

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000143_main(int argc, char *argv[])
{ int language;

  if ( argc<2 )
  { /* print usage */
    lcrzo_epr(lcrzoex_infos_print(lcrzoex_000143, argv[0]));
    return(LCRZO_ERR_BULCRZOEXBADUSAGE);
  }

  if ( strlen(argv[1]) > 1 )
  { lcrzo_epr(lcrzo_global_get_language(&language));
    if ( language==LCRZO_GLOBAL_FRLANG )
      printf("On veut un seul caractere, et non %s\n", argv[1]);
    else
      printf("We do not want %s, but a character alone\n", argv[1]);
    return(LCRZO_ERR_BULCRZOEXBADUSAGE);
  }

  lcrzo_epr(shared_misc_printnumber(argv[1][0]));
  return(LCRZO_ERR_OK);
}
