
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"
#include "shared/shared_misc.h"

/* set information about this example */
lcrzoex_infos lcrzoex_000144=
{ /*reference*/     "lcrzoex", 144, 
  /*version*/       1, 1, 
  /*title*/         "convert an IP address", 
  /*french title*/  "convertit une adresse IP", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "IP_address",
  /*french usage*/  "adresse_IP", 
  /*usage example*/ "1.2.3.4",
  /*fr. usage ex.*/ "1.2.3.4",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000144_main(int argc, char *argv[]);

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000144_main(int argc, char *argv[])
{ lcrzo_ipl ipl;

  if ( argc<2 )
  { /* print usage */
    lcrzo_epr(lcrzoex_infos_print(lcrzoex_000144, argv[0]));
    return(LCRZO_ERR_BULCRZOEXBADUSAGE);
  }

  lcrzo_epr(lcrzo_ipl_init_hs(argv[1], &ipl));
  lcrzo_epr(shared_misc_printnumber(ipl));
  return(LCRZO_ERR_OK);
}
