
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"
#include "shared/shared_misc.h"

/* set information about this example */
lcrzoex_infos lcrzoex_000147=
{ /*reference*/     "lcrzoex", 147, 
  /*version*/       1, 0, 
  /*title*/         "convert a mixed string", 
  /*french title*/  "convertit une chaine mixte", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "\"mixed_string\"",
  /*french usage*/  "\"chaine_mixte\"", 
  /*usage example*/ "\"DA33 'hello' 3A\"",
  /*fr. usage ex.*/ "\"DA33 'bonjour' 3A\"",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000147_main(int argc, char *argv[]);

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000147_main(int argc, char *argv[])
{ lcrzo_data data;
  lcrzo_int32 datasize;

  if ( argc<2 )
  { /* print usage */
    lcrzo_epr(lcrzoex_infos_print(lcrzoex_000147, argv[0]));
    return(LCRZO_ERR_BULCRZOEXBADUSAGE);
  }

  lcrzo_epr(lcrzo_data_initm_mixed(argv[1], &data, &datasize));
  lcrzo_epr(shared_misc_printdata(data, datasize));
  lcrzo_data_free(data);
  return(LCRZO_ERR_OK);
}
