
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
lcrzoex_infos lcrzoex_000153=
{ /*reference*/     "lcrzoex", 153, 
  /*version*/       1, 0, 
  /*title*/         "print an error message", 
  /*french title*/  "affiche un message d'erreur", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "error_number",
  /*french usage*/  "numero_d'erreur", 
  /*usage example*/ "3",
  /*fr. usage ex.*/ "3",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000153_main(int argc, char *argv[]);

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000153_main(int argc, char *argv[])
{ 
  if ( argc<2 )
  { /* print usage */
    lcrzo_epr(lcrzoex_infos_print(lcrzoex_000153, argv[0]));
    return(LCRZO_ERR_BULCRZOEXBADUSAGE);
  }

  lcrzo_epr(lcrzo_err_print(atoi(argv[1])));
  return (LCRZO_ERR_OK);
}
