
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
lcrzoex_infos lcrzoex_000155=
{ /*reference*/     "lcrzoex", 155,
  /*version*/       1, 0,
  /*title*/         "print informations on network boards",
  /*french title*/  "affiche les informations de toutes les cartes reseau",
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "",
  /*french usage*/  "",
  /*usage example*/ "",
  /*fr. usage ex.*/ "",
  /*author*/        "Laurent"
};

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000155_main(int argc, char *argv[]);
int lcrzoex_000155_main(int argc, char *argv[])
{ lcrzo_device device;
  lcrzo_int32 count, i;

  lcrzo_epr(lcrzo_device_count(LCRZO_DEVICE_TYPE_ONLYBOARDS, &count));
  for ( i=1 ; i<=count ; i++ )
  { lcrzo_epr(lcrzo_device_value_pos(LCRZO_DEVICE_TYPE_ONLYBOARDS, i, device));
    lcrzo_epr(lcrzo_device_print_infos(device));
  }

  return(LCRZO_ERR_OK);
}

