#ifndef LCRZOEX_RECORD_INCLUDED
#define LCRZOEX_RECORD_INCLUDED 1

/*-------------------------------------------------------------*/
typedef struct {
  lcrzo_spoof *pspoof;
  lcrzo_device *pspoofdev;
  /* added headers */
  lcrzo_hdrleth *paddhdreth;
  lcrzo_hdrlip *paddhdrip;
  /* modified fields */
  lcrzo_hdrleth *pmodhdreth;
  lcrzo_hdrlip *pmodhdrip;
  lcrzo_hdrludp *pmodhdrudp;
  lcrzo_hdrltcp *pmodhdrtcp;
  lcrzo_hdrlicmp *pmodhdricmp;
  lcrzo_hdrlarp *pmodhdrarp;
} shared_record_addmod;

/*-------------------------------------------------------------*/
int shared_record_addmod_initdefault(shared_record_addmod *psram);

/*-------------------------------------------------------------*/
int shared_record_eth_spoof(lcrzo_constdata data,
			    lcrzo_int32 datasize,
			    void *pinfos);
int shared_record_ip_spoof(lcrzo_constdata data,
			   lcrzo_int32 datasize,
			   void *pinfos);
int shared_record_udp_spoof(lcrzo_constdata data,
			    lcrzo_int32 datasize,
			    void *pinfos);
int shared_record_tcp_spoof(lcrzo_constdata data,
			    lcrzo_int32 datasize,
			    void *pinfos);
int shared_record_icmp_spoof(lcrzo_constdata data,
			     lcrzo_int32 datasize,
			     void *pinfos);

#endif
