
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
lcrzoex_infos lcrzoex_000006=
{ /*reference*/     "lcrzoex", 06,
  /*version*/       1, 1,
  /*title*/         "print informations on all devices",
  /*french title*/  "affiche les informations de tous les devices",
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "",
  /*french usage*/  "",
  /*usage example*/ "",
  /*fr. usage ex.*/ "", 
  /*author*/        "Laurent"
};

/* we redirect to this external example */
extern lcrzoex_infos lcrzoex_000158;

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000006_main(int argc, char *argv[]);
int lcrzoex_000006_main(int argc, char *argv[])
{ lcrzo_device device;
  lcrzo_int32 count, i;

  /* this example was obsoleted by a new one */
  lcrzo_epr(lcrzoex_redirect_print(lcrzoex_000006, lcrzoex_000158));

  lcrzo_epr(lcrzo_device_count(LCRZO_DEVICE_TYPE_ALL, &count));
  for ( i=1 ; i<=count ; i++ )
  { lcrzo_epr(lcrzo_device_value_pos(LCRZO_DEVICE_TYPE_ALL, i, device));
    lcrzo_epr(lcrzo_device_print_infos(device));
  }

  return(LCRZO_ERR_OK);
}

