
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"
#include "shared/shared_misc.h"

/* set information about this example */
lcrzoex_infos lcrzoex_000140=
{ /*reference*/     "lcrzoex", 140, 
  /*version*/       1, 0, 
  /*title*/         "convert an octal number", 
  /*french title*/  "convertit un nombre octal", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "octal_number",
  /*french usage*/  "nombre_octal", 
  /*usage example*/ "517124",
  /*fr. usage ex.*/ "517124",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000140_main(int argc, char *argv[]);

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000140_main(int argc, char *argv[])
{ 
  if ( argc<2 )
  { /* print usage */
    lcrzo_epr(lcrzoex_infos_print(lcrzoex_000140, argv[0]));
    return(LCRZO_ERR_BULCRZOEXBADUSAGE);
  }

  lcrzo_epr(shared_misc_printnumberbase(argv[1], 8));
  return(LCRZO_ERR_OK);
}
