
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
lcrzoex_infos lcrzoex_000174=
{ /*reference*/     "lcrzoex", 174, 
  /*version*/       1, 0, 
  /*title*/         "print informations about the computer (arp table) - simple", 
  /*french title*/  "affiche les informations sur la machine (table arp) - simple", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "",
  /*french usage*/  "", 
  /*usage example*/ "",
  /*fr. usage ex.*/ "",
  /*author*/        "Laurent"
};

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000174_main(int argc, char *argv[]);
int lcrzoex_000174_main(int argc, char *argv[])
{ lcrzo_int32 count, i;
  lcrzo_device device;
  lcrzo_etha etha;
  lcrzo_ipl ipl;
  lcrzo_bool ispermanent;

  /*look at example 159 if you want the results to be nicely displayed*/

  /* we loop through the number of arp entries */
  lcrzo_er(lcrzo_conf_arp_count(&count));
  for ( i=1 ; i<=count ; i++ )
  { /*get the information*/
    lcrzo_epr(lcrzo_conf_arp_value_pos(i, device, etha, &ipl,
				       &ispermanent, NULL));
    /*print the information*/
    lcrzo_etha_print("\nEthernet :    ", etha, "\n");
    lcrzo_ipl_print( "IP :          ", ipl, "\n");
    printf("gotondevice:%s ispermanent:%d\n", device, ispermanent);
  }  

  return(LCRZO_ERR_OK);
}


