#ifndef LCRZOEX_MISC_INCLUDED
#define LCRZOEX_MISC_INCLUDED 1
#include "shared_error.h"

int shared_misc_dangerousexample(void);

int shared_misc_verifyresponse(lcrzo_sock *psock, 
			       lcrzo_uint16 error1, 
			       lcrzo_uint16 error2, 
			       lcrzo_uint16 error3, 
			       lcrzo_uint16 error4,
			       lcrzo_bool displayerrors,
			       lcrzo_uint16 *preaderror,
			       lcrzo_data *preaddata,
			       lcrzo_int32 *preaddatasize);
int shared_misc_verifyresponse1(lcrzo_sock *psock, 
				lcrzo_uint16 error);
int shared_misc_verifyresponse2(lcrzo_sock *psock, 
				lcrzo_uint16 error1, 
				lcrzo_uint16 error2);
int shared_misc_verifyresponse3(lcrzo_sock *psock, 
				lcrzo_uint16 error1, 
				lcrzo_uint16 error2, 
				lcrzo_uint16 error3);
int shared_misc_verifyresponse4(lcrzo_sock *psock, 
				lcrzo_uint16 error1, 
				lcrzo_uint16 error2, 
				lcrzo_uint16 error3, 
				lcrzo_uint16 error4);

int shared_misc_printnumber(lcrzo_uint32 number);
int shared_misc_printnumberbase(char *string, int base);

int shared_misc_printdata(lcrzo_data data, lcrzo_int32 datasize);

int shared_misc_rearmtimer(lcrzo_int32 seconds);

int shared_misc_randpasshash(lcrzo_conststring serverrand, 
			     lcrzo_conststring clientrand,
			     lcrzo_conststring password,
			     lcrzo_string *phash);

#endif
