#ifndef LCRZOEX_SNIFF_INCLUDED
#define LCRZOEX_SNIFF_INCLUDED 1

/*-------------------------------------------------------------*/
int shared_sniff_dump(int argc, char *argv[], int snifftype);

/*-------------------------------------------------------------*/
int shared_sniff_dumpsaveeth(int argc, char *argv[], int snifftype);

/*-------------------------------------------------------------*/
int shared_sniff_dumpsaveip(int argc, char *argv[], int snifftype);

/*-------------------------------------------------------------*/
int shared_sniff_check(int argc, char *argv[], int snifftype);
int shared_sniff_check_verif(lcrzo_constdata packet,
			     lcrzo_int32 packetsize);

/*-------------------------------------------------------------*/
int shared_sniff_count(int argc, char *argv[], int snifftype);

/*-------------------------------------------------------------*/
typedef struct {
  lcrzo_etha eth;
  lcrzo_ipa ip;
} shared_sniff_ethip;
int shared_sniff_printnewethip(lcrzo_list *plist,
			       const lcrzo_etha etha,
			       const lcrzo_ipa);
int shared_sniff_decodearp_ethip(lcrzo_list *plist, 
				 lcrzo_constdata ethdata,
				 lcrzo_int32 ethdatasize);
int shared_sniff_decodeip_ethip(lcrzo_list *plist, 
				lcrzo_constdata ethdata,
				lcrzo_int32 ethdatasize);

/*-------------------------------------------------------------*/
typedef struct {
  lcrzo_uint8 type;
  lcrzo_ipa ip;
  lcrzo_uint16 port;
} shared_sniff_ipport;
int shared_sniff_printnewipport(lcrzo_list *plist,
				lcrzo_uint8 type,
				const lcrzo_ipa ipa,
				lcrzo_uint16 port);
int shared_sniff_decodetcp_ipport(lcrzo_list *plist, 
				  lcrzo_constdata ethdata,
				  lcrzo_int32 ethdatasize);
int shared_sniff_decodeudp_ipport(lcrzo_list *plist, 
				  lcrzo_constdata ethdata,
				  lcrzo_int32 ethdatasize);


#endif
